Bug 238131 - (CVE-2006-7196) CVE-2006-7196 tomcat XSS in example webapps
CVE-2006-7196 tomcat XSS in example webapps
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 237086 238402 430730 430731
  Show dependency treegraph
Reported: 2007-04-27 08:44 EDT by Mark J. Cox (Product Security)
Modified: 2016-03-04 07:51 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-22 14:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-04-27 08:44:14 EDT
According to http://tomcat.apache.org/security-5.html

Fixed in Apache Tomcat 5.5.16

Cross-site scripting CVE-2006-7196

The calendar application included as part of the JSP examples is susceptible to
a cross-site scripting attack as it does not escape user provided data before
including it in the returned page.

Affects: 5.0.0-5.0.30, 5.5.0-5.5.15

Advisory text: "The calendar application in the JSP examples did not escape
displayed values.  If the JSP examples are accessible, this flaw could allow a
remote attacker to perform cross-site scripting attacks.  (CVE-2006-7196)"
Comment 4 Vincent Danen 2010-12-22 14:24:54 EST
This was addressed via:

Red Hat Application Server v2 4AS (RHSA-2007:0326)
Red Hat Application Server 3AS (RHSA-2007:0340)
Red Hat Network Satellite Server 5.0 (RHEL v.4 AS) (RHSA-2008:0261)
Red Hat Network Satellite Server v 4.2 (RHEL v.3 AS) (RHSA-2008:0524)
Red Hat Network Satellite Server v 4.2 (RHEL v.4 AS) (RHSA-2008:0524)

Note You need to log in before you can comment on or make changes to this bug.